Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Interface GrailsDomainConfiguration

    public interface GrailsDomainConfiguration

Authors:
  Graeme Rocher

Method Summary
`GrailsDomainConfiguration` | `addDomainClass(GrailsDomainClass domainClass)` Adds a domain class to the configuration.
`void` | `setDataSourceName(java.lang.String name)` The Spring bean name of the DataSource.
`void` | `setGrailsApplication(GrailsApplication application)` Sets the grails application instance.
`void` | `setSessionFactoryBeanName(java.lang.String name)` The Spring bean name of the SessionFactory.

Method Detail

### addDomainClass

    public GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

  Adds a domain class to the configuration.
  Parameters:
    domainClass
  Returns:
    this

### setDataSourceName

    public void setDataSourceName(java.lang.String name)

  The Spring bean name of the DataSource.
  Parameters:
    `name` - the name

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

  Sets the grails application instance.
  Parameters:
    `application` - The grails application to use or null if none.

### setSessionFactoryBeanName

    public void setSessionFactoryBeanName(java.lang.String name)

  The Spring bean name of the SessionFactory.
  Parameters:
    `name` - the name

Groovy Documentation